API keys
List API keys
Returns key metadata, never raw secrets. Create and revoke keys at app.sndr.sh/api-keys; these operations require a dashboard session.
GET
https://api.sndr.sh/v1/api-keysList API keys
curl 'https://api.sndr.sh/v1/api-keys' -H "Authorization: Bearer $SNDR_API_KEY"200OK
{
"data": [
{
"id": "key_123",
"organization_id": "org_123",
"name": "Production",
"prefix": "sndr_live_ab12",
"scopes": [
"send",
"read"
],
"created_at": "2026-10-30T00:00:00Z"
}
]
}Authorization
AuthorizationstringheaderrequiredBearer followed by your API key. Needs the read scope.
Errors
401
unauthenticatedMissing or invalid API key.403
insufficient_scopeThe key needs read scope.